#include<iostream>
#include<climits>

using namespace std;

int br[86405],n,hOt,mOt,sOt,hDo,mDo,sDo,firstVreme = INT_MAX,lastVreme;
char dvuetochie;
int answer;

int minToSec (int m) {return m*60;}
int hourToSec (int h) {return h*60*60;}

int main ()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);

    cin >> n;


    for (int i = 1 ; i <= n ; i++)
    {
        cin  >> hOt >> dvuetochie >> mOt >>dvuetochie >> sOt >> hDo >> dvuetochie >> mDo >> dvuetochie >> sDo; // vuvejdame vremeto "ot" - "do"

        sOt = minToSec(mOt) + hourToSec(hOt) + sOt; // smqtame vremeto "ot" v sekundi
        if (sOt <= firstVreme) firstVreme = sOt; // optimizaciq za da ne obhojdame celiq masiv posle
        sDo = minToSec(mDo) + hourToSec(hDo) + sDo; //     _ pravim sushtoto s vremeto "do"
        if (sDo >= lastVreme) lastVreme = sDo;     //      /
        while (sOt != sDo)
        {
            br[sOt]++; // uvelichavame stoinosta na elementa ot dadenata sekunda s 1
            sOt++;
            if (sOt > 86400) sOt = 1;
        }
        br[sOt]++;
    }


    for (int i = 1; i <= 86400; i++)
        {
            if (br[i] > answer) answer = br[i]; // obhojdame masiva za da namerim nai - golqmata mu stoinost
        }

    cout << answer << '\n';
    return 0;
}

/*
4
08:00:00 10:00:11
09:00:23 14:00:06
11:00:52 13:00:24
11:15:17 13:15:08

/**






                                                                                                          _ \
                                                                                                         *' _ /
                                                                                                            ' \ /*
                                                                                                              *-\*_0
                                                                                                                 ___
                                                                                                          ______|   |_____________________________________
                                                                                                         /      |   |                                    /\
                                                                                                        /       |   |                                   /  \
                                                                                                       /        |   |                                  /    \
                                                                                                      /         |   |                                 /      \
                                                                                                     /          |__/                                 /        \
                                                                                                    /                                               /   ____   \
                                                                                                   /                                               /   / || \   \
                                                                                                  /                                               /   /  ||  \   \
                                                                                                 /                                               /   |===||===|   \
                                                                                                /                                               /     \  ||  /     \
                                                                                               /______________________________________________ /       \_||_/       \
                                                                                                |                                              |                   |
                                                                                                |                                              |                   |
                                                                                                |                                              |                   |
                                                                                                |                                              |                   |
                                                                                                |                                              |                   |
                                                                                                |                                              |      _________    |
                                                                                                |   ____________       _____________________   |     |         |   |
                                                                                                |  |     ||     |     |         | |         |  |     |         |   |                \\\\\\\
                                                                                                |  |     ||     |     |         | |         |  |     |         |   |                | _  _ |
                                                                                                |  |-----||-----|     |---------| |---------|  |     |         |   |                ||O||O||
                                                                                                |  |-----||-----|     |---------| |---------|  |     |         |   |                |  _   |
                                                                                                |  |     ||     |     |         | |         |  |     |         |   |                 \____/
                                                                                                |  |_____||_____|     |_________|_|_________|  |     |       O |   |                 _|  |_
                                                                                                |                                              |     |         |   |                |      |
                                                                                                |                                              |     |         |   |                | |  | |
                                                                                                |                                              |     |         |   |                |_|__|_|
                                                                                                |                                              |     |         |   |                  |  |
                                                                                                |                                              |     |         |   |                  |  |
                                                                                                |______________________________________________|_____|_________|___|                  |__|
*/


